/*
 * text.h
 * begin: 23.11.2005
 *
 * copyright (C) 2005 by Jan Ehrenberger < lankvil@seznam.cz >
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 */

#ifndef BUSIM_TEXT_H
#define BUSIM_TEXT_H

#include "head.h"


class BuFont
{
	GLuint m_base;
	char m_text_buf[10][256];
	
public:
	BuFont(const char *fname);
	~BuFont();

	void begin();
	void end();

	void set_pos(GLfloat x, GLfloat y)
	{ glRasterPos2f(x, y); }
	void printf(const char *text, ...);
	void print(const char *text);

	void buf_printf(int l, const char *text, ...);
	void print_buf();
};


extern BuFont *g_font;

#endif // BUSIM_TEXT_H

