/* eexception.h
 *
 * begin: 26.9.2003
 * copyright (C) 2003-2004 by Jan Ehrenberger < Honza_E@atlas.cz >
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 */

/* EException
   protoze s std::exception sou jen a jen problemy, implementoval sem si 
   radsi vlastni vyjimku
 */

#ifndef H4E3R_EEXCEPTION_H
#define H4E3R_EEXCEPTION_H

#include "mymem.h"

namespace h4e3r {

  class EException
  {
    string_handle comment;
  public:
    EException()
      :comment((char *)0)
      { }
    EException(const string_handle &c)
      :comment(c)
      { }
    ~EException()
      { }
    void set_comment(const string_handle &c)
      { comment = c; }
    const char *what()
      { return comment.s(); }
};

} /* namespace h4e3r */

#endif /* H4E3R_EEXCEPTION_H */
