/*
 * sdlstuff.h
 * begin: 02.09.2005
 *
 * copyright (C) 2005 by Jan Ehrenberger < lankvil@seznam.cz >
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 */

#ifndef BUSIM_SDLSTUFF_H
#define BUISM_SDLSTUFF_H

#include "head.h"
#include <SDL/SDL.h>

class SDLStuff
{
  int m_videoFlags;
  SDL_Surface *m_pSurface;
  coor2n m_lastMouse;

  void setupPixelFormat();
  void mouseStuff();

public:
  SDLStuff();
  ~SDLStuff();

  void wndInit(const char* title);
  void loop();
};

extern coor2n g_screenSize;
extern bool keyb[];

#endif // #ifndef BUSIM_SDLSTUFF_H
